Subject: [Tsvwg] AW: [dccp] DCCP and UDP Lite

From: "Michael Welzl" <[email-masked]>
Date: Fri, 31 Jan 2003 19:02:44 +0100

Mark,

I agree that the 4 bits would be worth it.

What I meant is: if this is a sensible thing to include in
DCCP (which I think), it's about time for UDP Lite to move on.
Or, otherwise, it should be removed (which I don't think).
Anyhow, I thought it would be worth pointing out that this
feature connects DCCP to UDP Lite... I wasn't aware that it
was in fact inspired by UDP Lite.

Cheers,
Michael

> -----Ursprüngliche Nachricht-----
> Von: [email-masked] [mailto:[email-masked]]
> Gesendet: Freitag, 31. Jänner 2003 18:52
> An: Michael Welzl
> Cc: [email-masked]; [email-masked]
> Betreff: Re: [dccp] DCCP and UDP Lite
>
>
>
> >Hi everybody,
> >
> >I just noticed the following sentences in the DCCP specification
> >(page 11, section 5.1, "checksum length"):
> >
> >"The checksum length field specifies what parts of the packet
> >are covered by the checksum field. The checksum always covers
> >at least the DCCP header, DCCP options, and a pseudoheader taken
> >from the network-layer header (see below). If the checksum
> >length field is zero, that is all the checksum covers."
> >
> >
> >The functionality of setting the checksum length field
> >to zero closely resembles the capability of UDP Lite to
> >receive erroneous payload packets and deliver them to the
> >application.
> >
> >
> >I would say that:
> >
> >EITHER:
> >
> >- a comment should be included that states that erroneous
> >  payload MUST NOT be delivered to the applications and may
> >  only be used for congestion control purposes (or, possibly
> >  better, the sentence about values other than 0 or 15 being
> >  experimental should be changed to "values other than 15").
> >
> >OR:
> >
> >- UDP Lite should be accepted upon acceptance of DCCP.
> >
> >
> >This has nothing to do with personal preference - it's just
> >similar functionality that caused a lot of discussions in
> >the case of UDP Lite ...
>
> It's not just similar - it was entirely inspired by UDP Lite.  We're
> still rather undecided as to whether this is a useful function.  It
> can easily be removed if there's pushback, but so far the comments
> we've received have mostly been in favour.
>
> It's clearly not a dangerous thing for a transport to allow this.
> It's just rather pointless unless there are link-layers that might
> take advantage of it, and applications that can make use of it.
>
> In our case it comes down to whether we have a better use for those
> four bits.  Currently we think it's worth spending those 4 bits in
> this way, given that the unreliable applications DCCP is primarily
> intended to support are the sort of applications that might be able to
> use this functionality.
>
>  - Mark

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg